# core/defaults.py
#
#

""" default configurations. """

__copyright__ = "Copyright 2014 B.H.J Thate"

from core.defines import homedir
from core.object import Object
from core.utils import j

import os
import os.path
import socket

## XMPP

xmpp = Object()
xmpp.server = "localhost"
xmpp.username = "core"
xmpp.channel = "#core"
xmpp.nick = "core"
xmpp.cfg = "xmpp"
xmpp.user = "core@localhost"

## IRC

irc = Object()
irc.server = "localhost"
irc.username = "core"
irc.channel = "#core"
irc.nick = "core"
irc.cfg = "irc"

## KERNEL

kernel = Object()
kernel.debug = False
kernel.background = False
kernel.openfire = False
kernel.shell = False
kernel.init = ""
kernel.workdir = ""
kernel.loglevel = "error"
kernel.bots = ["core.bots"]
kernel.plugs = ["core.plugs"]
kernel.services = ["core.service", ]
kernel.cfg = "kernel"

# UDP

udp = Object()
udp.cfg = "udp"
udp.host = "localhost"
udp.port = 5500
udp.password = "boh"
udp.seed = "blablablablablaz" # needs to be 16 chars wide

## API

api = Object()
api.cfg = "api"
api.hostname = socket.getfqdn()
api.port = 10102
